Operating System: Windows 10 Enterprise Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28647

Description

After leaving a QGIS 3.4.2 project open for two weeks, I am able to modify and save the project for a while... Until one day when I get an

unfortunate message informing me that QGIS is "Unable to save project H:\path\to\project.qgz" ... "Unable to save auxiliary storage

('Cannot open C:/Users/<name>/AppData/Local/Temp/QGIS3-OtLGsi/project.qgd for input')" (see screenshot for exact message).

While this message was displayed, I navigated to LocalAppData/Temp, but I did not see a folder named QGIS3-OtLGsi, or anything like

that. It is possible that Windows had cleaned up this directory over the duration of a week with the project open.

More importantly, I'm unable to save the project under a different name/directory, and my only option is to close the project without

saving. While this is neither a crash or corrupted data, it neglects the user from saving the current project. I am now able to close QGIS

normally, restart QGIS, re-open the previously saved version of the project, and continue to work with the project for another week or so

until the next unfortunate message.

This error can be replicated by opening an existing QGIS project, delete the folder LocalAppData/Temp/QGIS3-abcdef (or whatever 6

char folder name is provided), then try to save when the error described above is shown.

Related issues:

Duplicates QGIS Application - Bug report # 18477: QGIS 3 "unable to save auxi... Feedback 2018-03-19

History

#1 - 2018-12-18 08:53 AM - Alessandro Pasotti

- Status changed from Open to Feedback

I don't think this is a bug: if you (or your operating system) deletes the temporary directory that contains the project I would expect that wierd things

happen.

The "normal" session duration for a desktop application is probably less than 24 hours (not two weeks!), btw, this looks more like an issue with the

operating system removing the temporary folder than an issue with QGIS application itself.

But I agree that being unable to open the aux storage should probably not be a blocker to save the rest of the project.

#2 - 2018-12-30 06:04 AM - Peter Milne

I only started experiencing this issue using 3.4.2 (immediately?/a day or two?) after enabling Hibernate on Windows 10.  At or around that time, it could no

longer save a .qgz project.  I was getting the same error message saving to a similar folder address as above but with different last part to the name after

"QGIS3-".  I could see that empty folder in Explorer (with show hidden and system files turned on).

Interestingly, the message was it couldn't save to a project file with a .qgz file name that was a few versions before the project file name I was trying to
save.  I suspect that old file name was the last version I saved before switching on hibernation (or possibly a Windows 10 or Norton Security update which

might be responsible).

I COULD still save the project to an uncompressed .qgs file (although I didn't immediately realise that).  In light of that, I suspect the issue is that QGIS is

trying to compress the project file in the temp QGIS3-* folder but failing due to not having write access to that folder.  The QGIS3-* folder properties had a

black square in the Read Only Attributes box which could be removed temporarily but it was there when immediately reopening the folder properties to

check its status.

Two conclusions are that it might be best to NOT turn on Hibernation (at least in Windows 10) and a possible work around is to save using uncompressed

.qgs files.

#3 - 2019-01-16 01:44 PM - Peter Milne

Update.  Since turning off hibernation 17 days ago I have not experienced the issue.  I also updated to 3.4.3 about a week later.

#4 - 2019-02-06 11:32 AM - Alister Hood

What "feedback" is required on this ticket?

Perhaps it can be closed as a duplicate of #18477

#5 - 2019-02-07 11:39 AM - Giovanni Manghi

Alister Hood wrote:

What "feedback" is required on this ticket?

to know if the issuer still has the issue on the latest version of QGIS.

#6 - 2019-02-07 10:19 PM - Maxine Létourneau

Hi, I'm getting this issue as well. I just started using a new computer and QGIS 3.4.4. I try to open a project I've been working on, that is saved on onedrive.

The projects are all empty. There are no layers at all... however, the project file is around 400 kb and contains layers if I open it with another computer.

When I load some layers and try to save, I get a prompt saying "Unable to save auxiliary storage ('Cannot open (filepath) for input'). Does anyone have any

leads?

#7 - 2019-03-09 11:08 AM - Giovanni Manghi

- Duplicates Bug report #18477: QGIS 3 "unable to save auxiliary storage" added

#8 - 2019-03-09 11:08 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Merging with #18477
